Work Center
The work center resource.
Basehttps://rest.carbon.ms/workCenter
GET
/workCenterList work centers
Retrieve a paginated list of work centers. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workCenter
curl --request GET \
--url 'https://rest.carbon.ms/workCenter?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"laborRate": 0,
"defaultStandardFactor": "string",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/workCenterRetrieve a work center
Fetch a single work center by filtering on `id`.
Query parameters
idstringMatch on the work center's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workCenter
curl --request GET \
--url 'https://rest.carbon.ms/workCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"laborRate": 0,
"defaultStandardFactor": "string",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/workCenterCreate a work center
Create a new work center.
Body parameters
namestringrequireddescriptionstringlaborRatenumberrequireddefaultStandardFactorstringrequiredlocationIdstringReferences location.id
requiredAbilityIdstringReferences ability.id
activebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjectmachineRatenumberrequiredoverheadRatenumberrequiredtagsarrayPOSThttps://rest.carbon.ms/workCenter
curl --request POST \
--url https://rest.carbon.ms/workCenter \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","description":"string","laborRate":0,"defaultStandardFactor":"string","active":true,"companyId":"xyz789","machineRate":0,"overheadRate":0}'Response
{
"id": "abc123def456",
"name": "Example",
"laborRate": 0,
"defaultStandardFactor": "string",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/workCenterUpdate a work center
Update an existing work center, matched on `id`.
Body parameters
namestringrequireddescriptionstringlaborRatenumberrequireddefaultStandardFactorstringrequiredlocationIdstringReferences location.id
requiredAbilityIdstringReferences ability.id
activebooleanrequiredcompanyIdstringrequiredReferences company.id
customFieldsobjectmachineRatenumberrequiredoverheadRatenumberrequiredtagsarrayPATCHhttps://rest.carbon.ms/workCenter
curl --request PATCH \
--url 'https://rest.carbon.ms/workCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"laborRate": 0,
"defaultStandardFactor": "string",
"active": true,
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/workCenterDelete a work center
Delete a work center, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the work center to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/workCenter
curl --request DELETE \
--url 'https://rest.carbon.ms/workCenter?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content